MetacatUI - Bug #6853

ORCiD identitifers are not valid LDAP DN's, so errors are thrown
10/12/2015 10:58 AM - Lauren Walker
Description

There are some outstanding issues with ORCiDs that need to be addressed:

- users cannot request an identity mapping to an ORCiD account (but they can initiate an ID map request from their ORCID)
- ORCID users cannot be added to groups

- ORCID users cannot create groups

Related issues:
Related to MetacatUI - Story #6423: Allow users to link their ORCID to their ... Resolved

History

#1 - 11/04/2015 12:36 PM - Lauren Walker
- Target version changed from 1.9.0 to 1.12.0

#2 - 11/25/2015 01:09 PM - ben leinfelder

- Status changed from New to In Progress

Please see progress of DataONE ticket: https:/redmine.dataone.org/issues/7499

Orcid (and other non-DN subjects) should now be supported. Slated for 2.1.0 CN release.

#3 - 12/02/2015 12:14 PM - ben leinfelder

- Status changed from In Progress to Closed

trunk of CN work now supports orcids for accounts, members or groups and group subjects. There are still some Ul issues that need to be resolved -
like enabling all profile features even for orcids - but the backend should be all set.

#4 - 01/07/2016 11:09 AM - Lauren Walker
- Target version changed from 1.12.0 to 1.10.0
